Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Shutdown_Command< Target > Class Template Reference

Implements a Command object that invokes the shutdown_i() method on the target, passing an argument of type Object. More...

`#include <ESF_Delayed_Command.h>`

Inheritance diagram for TAO_ESF_Shutdown_Command< Target >:

[legend]
Collaboration diagram for TAO_ESF_Shutdown_Command< Target >:

[legend]
List of all members.

## Public Methods
| TAO_ESF_Shutdown_Command (Target *target)
| constructor...
virtual int | execute (void *arg)
## Private Attributes
Target * | target_
| The target.

## Detailed Description

### template<class Target>
class TAO_ESF_Shutdown_Command< Target >

Implements a Command object that invokes the shutdown_i() method on the target, passing an argument of type Object.

## Memory Management

It does not assume ownership of Object nor the Target arguments. Usually allocated from the heap or an allocator; but it is not self-managed.

## Locking

No provisions for locking, access must be serialized externally.

## Constructor & Destructor Documentation

template<class Target>
TAO_ESF_Shutdown_Command< Target >::TAO_ESF_Shutdown_Command | ( | Target * | target | ) |

| constructor...

## Member Function Documentation

template<class Target>
int TAO_ESF_Shutdown_Command< Target >::execute | ( | void * | arg | ) | `[virtual]`

| The callback method, if the argument is not nil it is interpreted as a CORBA::Environment. Implements ACE_Command_Base.

## Member Data Documentation

template<class Target>
Target* TAO_ESF_Shutdown_Command< Target >::target_`[private]`

| The target.

The documentation for this class was generated from the following files:

- ESF_Delayed_Command.h
- ESF_Delayed_Command.cpp
- ESF_Delayed_Command.i